1. Authentication
Auto Value API
  • Reports
    • Create a valuation report
      POST
  • Authentication
    • Register a new account
      POST
    • Authenticate an existing user
      POST
    • End the current session
      POST
  • Schemas
    • CreateReportDto
    • ReportDto
    • ReportSuccessResponseDto
    • ValidationErrorDetailsDto
    • ValidationErrorResponseDto
    • ErrorResponseDto
    • CreateUserDto
    • UserDto
    • UserSuccessResponseDto
    • SignInUserDto
    • MessageSuccessResponseDto
  1. Authentication

Register a new account

Auto Value Prod
api.auto-value.yousefdawood.me
Auto Value Prod
api.auto-value.yousefdawood.me
POST
/auth/signup
Last modified:2026-05-31 02:28:40
Maintainer:Not configured
Creates a user account, persists a salted password hash, and starts an authenticated session by returning the signed session cookies.

Request

Body Params application/jsonRequired

Examples

Responses

🟠409ERROR
application/json
The account was created successfully and the session cookies were issued.
Bodyapplication/json

🟠400
🟠409
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'api.auto-value.yousefdawood.me/auth/signup' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "john.doe@autovalue.com",
    "firstName": "John",
    "lastName": "Doe",
    "password": "SecurePass123!"
}'
Response Response Example
409 - Example 1
{
    "status": "string",
    "statusCode": 0,
    "message": "string"
}
Modified at 2026-05-31 02:28:40
Previous
Create a valuation report
Next
Authenticate an existing user
Built with